/*
 * Copyright 2013 Canonical Ltd.
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * telephony-app is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1

Button {
    id: buttonImage

    property alias image: img

    Image {
        id: img
        source: ""
        anchors.fill: parent
        anchors.margins: 2
        anchors.centerIn: parent
        fillMode: Image.PreserveAspectFit
        z: 1
    }

    Behavior on color { ColorAnimation { duration: 200 } }
}
